Basically required, basically buggy. Rated 2 out of 5 stars

Pretty much required when you use add-ons in Firefox 4.
However it seems to have issues with the UI (see other comments).
Also, I'm suspicious that it's causing firefox to "hang"